package glavni;

import javax.swing.JPanel;
import javax.swing.JToolBar;
import javax.swing.filechooser.FileFilter;

public abstract class RadnaPovrs extends JPanel {

	protected Menadzer menadzer;
	protected Simulacija simulacija;

	public RadnaPovrs(Menadzer m) {
		menadzer = m;
	}

	public void postaviSimulaciju(Simulacija s) {
		simulacija = s;
	}

	public Simulacija dohvatiSimulaciju() {
		return simulacija;
	}

	public JToolBar dohvatiToolBar() {
		return null;
	}

	public abstract FileFilter dohvatiFilter();

	public abstract String dohvatiEkstenziju();

	public abstract void iscrtaj();

}
